M3i Vs. iTouch2

Discussion in 'NDS - Flashcarts and Accessories' started by thilixD, Nov 22, 2009.

Nov 22, 2009

M3i Vs. iTouch2 by thilixD at 10:01 PM (1,392 Views / 0 Likes) 5 replies

  1. thilixD
    OP

    Newcomer thilixD Advanced Member

    Joined:
    Apr 4, 2009
    Messages:
    52
    Country:
    United States
    My Acekard 2i is not working anymore (and neither my brother's), so I decided to buy another flashcard. And I'm deciding between the M3i and the iTouch2.
    Which one is better? The two of then have the 1.4 fix? The two still have firmware upgrades? Which is more stable running the games?

    Thanks!
     
  2. BoxShot

    Member BoxShot Chiyo-chan :3

    Joined:
    Dec 18, 2008
    Messages:
    3,447
    Location:
    Middle of the ocean.
    Country:
    United States
    M3i0. Last time I checked the iTouch 2 can't be ran on 1.4 and isn't upgradeable.
     
  3. House Spider

    Banned House Spider In the GBAtemp attic.

    Joined:
    Apr 25, 2009
    Messages:
    1,282
    Location:
    Dundalk
    Country:
    Ireland
    iTouch2 has a fix and their firmwares are interchargeable, so you can use the iTouch2 firmware on the M3 and vica versa. Well thats what it was like on the DSPhat/Lite version.
     
  4. Excellentnuke

    Member Excellentnuke GBAtemp Advanced Fan

    Joined:
    May 19, 2008
    Messages:
    612
    Location:
    On a boat
    Country:
    United States
    Can you tell me where to find the iTouch2 fix, WarioN64? I wanna try the one my friend gave me, but I can't find any fix for 1.4.
     
  5. Opium

    Former Staff Opium PogoShell it to me ™

    Joined:
    Dec 22, 2002
    Messages:
    8,185
    Location:
    Australia
    Country:
    Australia
    I'm now aware of any fix for the iTouch2. Got a link? It's not on the official website, download section or forums.
     
  6. rockstar99

    Member rockstar99 Hi

    Joined:
    Dec 3, 2008
    Messages:
    7,375
    Location:
    Toronto
    Country:
    Canada
    I dont think there is a software updater fix but new batches will come with a 1.4 fix and might be upgradable thats just my 2 cents but I think im right as i haven sen a fix anywhere too.
    Warion N64 mustve bought one of the new batches.

    Also on topic:M3i Zero is a better choice
     

Share This Page